import 'onsenui/esm/elements/ons-segment.js';
import { deriveEvents } from '../mixins/index.js';
import { openBlock, createElementBlock, withModifiers, renderSlot } from 'vue';

const name = 'v-ons-segment';

  var script = {
    name,
    mixins: [deriveEvents(name)],
    emits: ['update:activeIndex'],
  };

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return (openBlock(), createElementBlock("ons-segment", {
    onPostchange: _cache[0] || (_cache[0] = withModifiers($event => (_ctx.$emit('update:activeIndex', $event.index)), ["self"]))
  }, [
    renderSlot(_ctx.$slots, "default")
  ], 32))
}

script.render = render;

export { script as default };
